## libgig 4.2.0~ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(libgig)

if(NOT MSVC)
	message(FATAL_ERROR "Please use configure and make, this cmake file is currently only to generate msvc solution files")
endif()


#configuration options
set(LIBGIG_BUILD_TOOLS ON CACHE BOOL "Build the extra tools")
set(LIBGIG_ENABLE_TESTING ON CACHE BOOL "Build the test cases")
set(LIBGIG_BUILD_SHARED ${BUILD_SHARED_LIBS} CACHE BOOL "build dynamic libraries")

set(BUILD_SHARED_LIBS ${LIBGIG_BUILD_SHARED})

if(LIBGIG_ENABLE_TESTING)
	enable_testing()
endif()

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

#TODO: this is written for vcpkg cppunit install
#if you're adding other platform and package managers it's probably better to put everything in FindCppUnit.cmake
#and replace everything here with a simple find_package(CppUnit)
if(WIN32)
	find_path(CPPUNIT_INCLUDE_DIRS cppunit/TestFixture.h)
	find_library(CPPUNIT_LIBRARIES_DEBUG cppunitd_dll)
	find_library(CPPUNIT_LIBRARIES_RELEASE cppunit_dll)
	mark_as_advanced(CPPUNIT_INCLUDE_DIRS CPPUNIT_LIBRARIES_DEBUG CPPUNIT_LIBRARIES_RELEASE)

	if(CPPUNIT_LIBRARIES_DEBUG AND CPPUNIT_LIBRARIES_RELEASE AND CPPUNIT_INCLUDE_DIRS)
		set(CPPUNIT_FOUND TRUE)
		set(CPPUNIT_LIBRARIES
		$<$<CONFIG:Debug>:${CPPUNIT_LIBRARIES_DEBUG}>
		$<$<CONFIG:RelWithDebInfo>:${CPPUNIT_LIBRARIES_RELEASE}>
		$<$<CONFIG:Release>:${CPPUNIT_LIBRARIES_RELEASE}>
		$<$<CONFIG:MinSizeRel>:${CPPUNIT_LIBRARIES_RELEASE}>)
	else()
		message("cppunit not found. Testcases will not be built.")
	endif()
endif(WIN32)

if(LIBGIG_BUILD_TOOLS)
	find_package(LibSndFile)
endif()

#get version from configure.ac
#have to make a slight detour since I cannot get the cmake regex subgroup to work with file
file(STRINGS configure.ac VERSION_STRINGS REGEX "^m4_define\\(libgig_release.*\\)$")

string(REGEX MATCH "libgig_release_major, ([^)]*)\\)" TEMP ${VERSION_STRINGS})
set(VERSION_MAJOR ${CMAKE_MATCH_1})
string(REGEX MATCH "libgig_release_minor, ([^)]*)\\)" TEMP ${VERSION_STRINGS})
set(VERSION_MINOR ${CMAKE_MATCH_1})
string(REGEX MATCH "libgig_release_build, ([^)]*)\\)" TEMP ${VERSION_STRINGS})
set(VERSION_BUILD ${CMAKE_MATCH_1})

set(PACKAGE_NAME "libgig")

set(LIBGIG_HEADERS
	src/DLS.h
	src/gig.h
	src/RIFF.h
	src/SF.h
	src/Korg.h
	src/Serialization.h)

#libgig core library
add_library(libgig
	src/DLS.cpp
	src/gig.cpp
	src/helper.cpp
	src/Korg.cpp
	src/RIFF.cpp
	src/Serialization.cpp
	src/SF.cpp
	src/typeinfo.cpp)
if(WIN32)
	target_sources(libgig PRIVATE win32/dllmain.cpp)
endif()

set_target_properties(libgig PROPERTIES PUBLIC_HEADER "${LIBGIG_HEADERS}")
target_compile_definitions(libgig PRIVATE PACKAGE="${PACKAGE_NAME}" VERSION="${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_BUILD}")
target_include_directories(libgig PUBLIC $<INSTALL_INTERFACE:include>)
if(MSVC)
	target_compile_definitions(libgig PRIVATE NOMINMAX)
endif()
if(WIN32)
	target_link_libraries(libgig Rpcrt4.lib dbghelp.lib)
endif()
if(BUILD_SHARED_LIBS AND MSVC)
	set_target_properties(libgig PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS TRUE)
endif()

#libakai library
add_library(libakai src/Akai.cpp)
if(WIN32)
	target_sources(libakai PRIVATE win32/dllmain.cpp)
endif()
set_target_properties(libakai PROPERTIES PUBLIC_HEADER src/Akai.h)
target_include_directories(libakai PUBLIC $<INSTALL_INTERFACE:include>)
target_compile_definitions(libakai PRIVATE PACKAGE="${PACKAGE_NAME}" VERSION="${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_BUILD}")

if(MSVC)
	target_compile_definitions(libakai PRIVATE NOMINMAX)
endif()
if(BUILD_SHARED_LIBS AND MSVC)
	set_target_properties(libakai PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS TRUE)
endif()
if(WIN32)
	target_link_libraries(libakai Rpcrt4.lib )
endif()

if(CPPUNIT_FOUND AND LIBGIG_ENABLE_TESTING)
	add_subdirectory(src/testcases)
endif()

if(LIBGIG_BUILD_TOOLS)
	add_subdirectory(src/tools)
endif(LIBGIG_BUILD_TOOLS)

#installation
#It also creates a *-config.cmake files so other cmake users can include it more easily into their projects
install(TARGETS libgig EXPORT libgig-config
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
	RUNTIME DESTINATION bin
	PUBLIC_HEADER DESTINATION include/libgig)
install(EXPORT libgig-config NAMESPACE libgig:: DESTINATION share/libgig)

install(TARGETS libakai EXPORT libakai-config
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
	RUNTIME DESTINATION bin
	PUBLIC_HEADER DESTINATION include/libgig)
install(EXPORT libakai-config NAMESPACE libgig:: DESTINATION share/libgig)

## libgig 3.3.0

=== debian/changelog ===
libgig (3.3.0-2) unstable; urgency=low

  * Switch to 3.0 (quilt).
  * debian/rules: Drop get-orig-source, no longer needed.
  * Add debian/gbp.conf file.
  * Add .gitignore file.
  * Don't build,install static libraries.
  * Add dh_autoreconf support.
  * debian/control:
    - We moved files between packages (libgig-dev <-> libgig-doc), so it
      had better use Replaces+Breaks, not Conflicts+Replaces.
    - Add Vcs-* fields
    - Bump Standards.
    - Change my email address.
    - Remove DM-Upload-Allowed: yes, no longer needed.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Feb 2011 13:18:38 +0100

libgig (3.3.0-1) unstable; urgency=low

  * New upstream release.
  * Repack the tarball to remove the upstream's debian directory.
  * Switch to debhelper 7.
  * Bump Standards.
  * Add debian/compat.
  * Update debian/copyright.
  * Replace current Maintainer with Debian Multimedia Maintainers;
    also Closes: #474526.
  * Add myself to the Uploaders field.
  * Update and move upstream's website information to Homepage field.
  * Build-Depends on uuid-dev.
  * Replace automake1.9 build-dependency with automake.
  * Replace deprecated ${Source-Version} macro with ${binary:Version}.
  * Getting rid of unneeded *.la.
  * Add libgig-doc runtime, add proper Conflicts/Replaces fields.
  * Rename and update doc-base control file.
  * Improve runtime packages short,extended descriptions.
  * Drop dpatch and all old patches, now unnecessary.
  * Add quilt support.
  * debian/patches/01-Makefile.patch:
    - Ignore debian subdirectory.
  * debian/patches/02-manpages.patch
    - Fix hyphen-used-as-minus-sign lintian warnings.
  * Install NEWS file as upstream's changelog.
  * Remove unnecessary debian/libgig.install, debian/Makefile.{in,am}.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 11 Dec 2009 20:25:45 +0100

libgig (3.2.1-3+cvs080916) unstable; urgency=low

  * Dropped gcc43 patch, fixed upstream

 -- Free Ekanayaka <freee@debian.org>  Wed, 17 Sep 2008 13:11:08 +0100

libgig (3.2.1-2+cvs080916) unstable; urgency=low

  * New cvs snapshot

 -- Free Ekanayaka <freee@debian.org>  Tue, 16 Sep 2008 01:10:27 +0100

libgig (3.2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix GCC 4.3 compatibility, patch by Brian M. Carlson (Closes: #456083)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 23 Mar 2008 00:23:55 +0100

libgig (3.2.1-1) unstable; urgency=low

  * New upstream release
  * Added myself to Uploaders

 -- Free Ekanayaka <freee@debian.org>  Wed, 05 Dec 2007 16:24:12 +0100

libgig (3.2.0-1) unstable; urgency=low

  * Non-Maintainer upload
  * New upstream lrelease

 -- Free Ekanayaka <freee@debian.org>  Wed, 17 Oct 2007 15:56:47 +0100

libgig (3.1.1-0.1+cvs071005) unstable; urgency=low

  * New cvs snapshot

 -- Free Ekanayaka <freee@debian.org>  Fri,  5 Oct 2007 12:33:59 +0100

libgig (3.1.1-0.1+cvs071004) unstable; urgency=low

  * New cvs snapshot

 -- Free Ekanayaka <freee@debian.org>  Thu,  4 Oct 2007 21:48:02 +0100

libgig (3.1.1-0.1) unstable; urgency=low

  [ Free Ekanayaka ]
  * Non-Maintainer upload
  * New upstream release (Closes: #381628)
  * Included upstream changelog
  * Removed non debian/ files from diff.gz
  * Move libgig3c2 to libgig6 to reflect the so name change
  * Added makefile rule to package cvs snapshots
  * Support passing DEB_BUILD_OPTIONS=athopt to for Athlon optimization

  [ Christian Schoenebeck ]
  * libgig's home has changed slightly from
    http://stud.fh-heilbronn.de/~cschoene/projects/libgig/ to
    http://stud.hs-heilbronn.de/~cschoene/projects/libgig/
  * include NEWS file on installation

 -- Free Ekanayaka <freee@debian.org>  Sat, 13 Jan 2007 00:49:40 +0100

libgig (2.0.d2-2) unstable; urgency=low

  * Cxx transistion (closes: #339205)

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Sat, 19 Nov 2005 16:44:06 +1100

libgig (2.0.d2-1) unstable; urgency=low

  * New upstream release.
  * Added previous upstream entries in debian/changelog.
  * Force soname update setting age to 1 in configure.ac
  * Fixed doc-base section to Apps/Programming

 -- Paul Brossier <piem@debian.org>  Wed, 24 Aug 2005 10:50:39 +0100

libgig (2.0.2-1) unstable; urgency=low

  * New release.

 -- Christian Schoenebeck <cuse@users.sourceforge.net>  Mon, 15 Aug 2005 19:19:57 +0200

libgig (2.0.cvs20050613+1-1) unstable; urgency=low

  * New upstream release (2.0.1)
  * Move libgig to libgigc2 (g++ 4.0 ABI transition)
  * Make libgigc2 Conflicts against old version of libgig
  * Automatic update of config.{sub,guess}
  * Clean up debian/rules file, bump Standards-Version
  * Remove README.Debian, libgig.install and debian/Makefile*
  * Add watch file

 -- Paul Brossier <piem@debian.org>  Sun, 31 Jul 2005 00:19:09 +0100

libgig (2.0.1-1) unstable; urgency=low

  * New release.

 -- Christian Schoenebeck <cuse@users.sourceforge.net>  Sun, 12 Jun 2005 14:55:17 +0200

libgig (2.0.cvs20050523-1) unstable; urgency=low

  * fixed debian description (Closes: #310221)
  * New release. Mostly pre-prepared by Christian Schoenebeck <cuse@users.sourceforge.net>

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Mon, 09 May 2005 16:10:58 +0200

libgig (1.0.0cvs20050503-1) unstable; urgency=low

  * Updated to cvs version

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Wed, 2 Mar 2005 11:40:49 +0100

libgig (1.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #279932)
  * Doxygen API documentation included with libgig-dev
  * Changed maintainer names from Christian Schoenebeck to MAtt Flax. Note
    That the original packaging was done by Christian
  * altered the rules file
  * fixed various lintian errors

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Sat, 5 Feb 2005 20:02:26 +0100

libgig (0.7.1-1) unstable; urgency=low

  * Initial Release.

 -- Christian Schoenebeck <cuse@users.sourceforge.net>  Tue,  6 Jul 2004 23:12:46 +0200

=== debian/control ===
Source: libgig
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Paul Brossier <piem@debian.org>,
 Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 dh-autoreconf,
 pkg-config,
 libsndfile1-dev,
 doxygen,
 libtool,
 uuid-dev,
 automake
Standards-Version: 3.9.1
Homepage: http://www.linuxsampler.org/libgig/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/libgig.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libgig.git

Package: libgig-dev
Section: libdevel
Architecture: any
Depends: libgig6 (= ${binary:Version}),
 ${misc:Depends}
Description: development files for libgig
 libgig is a C++ library for loading, modifying and creating Gigasampler
 files and DLS (Downloadable Sounds) Level 1/2 files.
 .
 This package contains the header files needed for
 development with libgig. You will need this only if you
 intend to compile programs that use this library.

Package: libgig6
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libgig3c2
Replaces: libgig3c2
Description: library for loading and modifying Gigasampler and DLS files
 libgig is a C++ library for loading, modifying and creating Gigasampler
 files and DLS (Downloadable Sounds) Level 1/2 files.
 .
 This package contains the shared library files.

Package: gigtools
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: command line tools for Gigasampler and DLS Level 1/2 files
 Raw file handling for audio sampler files based on DLS Level 1/2 and
 Gigasampler.
 These files are typically used in modern day audio waveform samplers.
 This package contains the following command line tools:
 .
 gigdump:
   Prints out the content of a .gig file.
 gigextract:
   Extracts samples from a .gig file.
 dlsdump:
   Prints out the content of a DLS file.
 rifftree:
   Prints out the RIFF tree of an arbitrary RIFF file.

Package: libgig-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: libgig-dev (<< 3.3.0-1)
Breaks: libgig-dev (<< 3.3.0-1)
Description: HTML documentation for libgig
 libgig is a C++ library for loading, modifying and creating Gigasampler
 files and DLS (Downloadable Sounds) Level 1/2 files.
 .
 This package contains exhaustive HTML documentation for the development with
 libgig.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-static=no

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_build:
	dh_auto_build
	$(MAKE) docs

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===

version=3
http://download.linuxsampler.org/packages/ libgig-(.*)\.tar\.bz2 debian uupdate

## libgig 4.0.0

=== debian/changelog ===
libgig (4.0.0-5) unstable; urgency=medium

  * Add patch to fix CVE-2017-12951. (Closes: #877651)
  * Add patch to fix CVE-2017-12954. (Closes: #877652)
  * Bump Standards.
  * Update Vcs to use git instead of cgit.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 13 Oct 2017 22:33:54 +0200

libgig (4.0.0-4) unstable; urgency=medium

  * debian/patches/CVE-2017-12952.diff: fix some crashes

 -- Paul Brossier <piem@debian.org>  Tue, 29 Aug 2017 15:15:10 +0200

libgig (4.0.0-3) unstable; urgency=medium

  * Bump Standards.
  * Sign tags.
  * Update copyright file.
  * Avoid useless linking.
  * 4.0.0 release (Closes: #850179)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 03 Jul 2017 11:05:58 +0200

libgig (4.0.0-2) unstable; urgency=medium

  * Upload to unstable. (Closes: #847081)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 25 Jun 2017 15:16:09 +0200

libgig (4.0.0-1) experimental; urgency=medium

  [ Alessio Treglia ]
  * Imported Upstream version 4.0.0 (Closes: #834436)
  * Refresh patchset

  [ Jaromír Mikeš ]
  * debian/control
    * Add myself as uploader.
    * Rename package to libgig7.
    * Make libgig-dev Multi-Arch: same.
    * Fix VCS fields.
    * Fix spelling in description.
    * Bump Standards.
    * Split package - separate libakai0 package.
    * Remove not needed Breaks/Replaces.
  * debian/patches
    * Removed 03-deletechuncklist.patch - upstream request.
    * Not patch Makefile.in and configure file.
    * Add spelling patch.
    * Add patch to fix install path.
    * Update 01-Makefile.patch.
    * Not patch Makefile.in and configure file.
  * debian/rules
    * Set dh/compat 10.
    * Drop autoreconf - not needed with compat 10.
    * Fix hardening.
  * Fix .gitignore file.
  * Remove postrm postinst scripts.
  * Remove libgig-dev.doc-base file.
  * Install only one upstream changelog.
  * Update copyright file.
  * Get rid of autom4te.cache files by gbp.conf
  * Drop d/Makefile.* files.
  * Don't sign tags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 01 Dec 2016 22:48:46 +0000

libgig (3.3.0-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Aug 2015 00:00:21 +0200

libgig (3.3.0-4) experimental; urgency=medium

  * Team upload.
  * Rename libgig6 for GCC 5 transition. (Closes: #791124)
  * debian/control:
     - Bump Standards-Version to 3.9.6
     - Remove obsolete Conflicts + Replaces.
     - Bump debhelper B-D to >= 9.
     - Mark libgig6v5 as M-A: same.
  * debian/compat: Bump to 9.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 28 Jul 2015 22:18:32 +0200

libgig (3.3.0-3) unstable; urgency=medium

  * debian/rules: do not install changelog twice
  * debian/rules: use dpkg-buildflags
  * debian/control: bump standards-version
  * debian/rules: cleaner clean
  * debian/rules: build dos in indep, make jquery.js a link
  * debian/control: libgig-doc depends on libjs-jquery
  * debian/patches/03-deletechuncklist.patch: fix riftree segfault (closes:
    #716265)

 -- Paul Brossier <piem@debian.org>  Mon, 31 Mar 2014 13:26:15 -0300

=== debian/control ===
Source: libgig
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Paul Brossier <piem@debian.org>,
 Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 10~),
 g++ (>= 4:5.1.1-20),
 pkg-config,
 libsndfile1-dev,
 doxygen,
 libtool,
 uuid-dev,
 automake,
Standards-Version: 4.1.1
Homepage: http://www.linuxsampler.org/libgig/
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libgig.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/libgig.git

Package: libgig-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgig7 (= ${binary:Version}),
 libakai0 (= ${binary:Version}),
 ${misc:Depends}
Description: development files for libgig
 libgig is a C++ library for loading, modifying and creating Gigasampler
 files and DLS (Downloadable Sounds) Level 1/2 files.
 .
 Since the Gigasampler / GigaStudio and DLS formats are based ontop
 of the binary RIFF container format, this library also provides
 convenient access to RIFF files in general.
 .
 This package also contains a Linux/POSIX ported version of libakai,
 which provides support for reading Akai formatted medias (CDRoms, HDs,
 Zip disks).
 Currently Akai S1000, S01, S2000 and S3000 series are supported.
 .
 This package contains the header files needed for development with
 libgig. You will need this only if you intend to compile programs
 that use this library.

Package: libgig7
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: library for loading and modifying Gigasampler and DLS files
 libgig is a C++ library for loading, modifying and creating Gigasampler
 files and DLS (Downloadable Sounds) Level 1/2 files.
 .
 This package contains the shared library files.

Package: libakai0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: library for loading and modifying akai files
 libakai is a C++ library for loading, modifying and creating
 akai files.
 .
 This package contains the shared library files.

Package: gigtools
Section: utils
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: command line tools for Gigasampler and DLS Level 1/2 files
 Raw file handling for audio sampler files based on DLS Level 1/2 and
 Gigasampler.
 These files are typically used in modern day audio waveform samplers.
 This package contains the following command line tools:
 .
 gigdump:
   Prints out the content of a .gig file.
 gigextract:
   Extracts samples from a .gig file.
 dlsdump:
   Prints out the content of a DLS file.
 rifftree:
   Prints out the RIFF tree of an arbitrary RIFF container file.
 sf2dump:
   Prints out the content of a .sf2 file.
 sf2extract:
   Extracts audio samples from a .sf2 file.
 korgdump:
   Prints out the content of KORG sound files (.KSF, .KMP).
 korg2gig:
   Converts KORG (.KSF, .KMP) sound files to GigaStudio (.gig) files.
 akaidump:
   Dump an AKAI media i.e. from a CDROM drive as disk image file to your HD.
 akaiextract:
   Extracts audio samples from an AKAI media or from an AKAI disk image file.

Package: libgig-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Replaces: libgig-dev (<< 3.3.0-1)
Breaks: libgig-dev (<< 3.3.0-1)
Description: HTML documentation for libgig
 libgig is a C++ library for loading, modifying and creating Gigasampler
 files and DLS (Downloadable Sounds) Level 1/2 files.
 .
 This package contains exhaustive HTML documentation for the development with
 libgig.

=== debian/watch ===
version=3
http://download.linuxsampler.org/packages/ libgig-(.*)\.tar\.bz2

## libgig 4.1.0~repack

=== debian/changelog ===
libgig (4.1.0~repack-2) unstable; urgency=medium

  * Upload to unstable.
  * Set dh/compat 11.
  * Bump Standards.
  * Fix paths in doc-base file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 03 Jan 2018 21:44:44 +0100

libgig (4.1.0~repack-1) experimental; urgency=medium

  * Improve filter option in gbp.conf file.
  * New upstream version 4.1.0
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Patches refreshed/removed.
  * Use secure uri in watch file.
  * Bump soname for libgig.
  * Use secure uri for homepage.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 01 Jan 2018 21:23:27 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 11~),
  g++ (>= 4:5.1.1-20),
  pkg-config,
  libsndfile1-dev,
@@ -16,8 +16,8 @@
  libtool,
  uuid-dev,
  automake,
-Standards-Version: 4.1.1
-Homepage: http://www.linuxsampler.org/libgig/
+Standards-Version: 4.1.3
+Homepage: https://www.linuxsampler.org/libgig/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libgig.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/libgig.git
 
@@ -26,7 +26,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgig7 (= ${binary:Version}),
+ libgig8 (= ${binary:Version}),
  libakai0 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for libgig
@@ -46,7 +46,7 @@
  libgig. You will need this only if you intend to compile programs
  that use this library.
 
-Package: libgig7
+Package: libgig8
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
export CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-static=no

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_build-indep:
	$(MAKE) docs
	ln -sf /usr/share/javascript/jquery/jquery.js doc/html/jquery.js

override_dh_auto_clean:
	$(RM) -rf doc/html
	[ ! -f $(CURDIR)/Makefile ] || $(MAKE) -k distclean

=== debian/watch ===
version=3
opts=dversionmangle=s/~repack.*//,repacksuffix=~repack \
https://download.linuxsampler.org/packages/ libgig-(.*)\.tar\.bz2

## libgig 4.2.0~ds1

=== debian/changelog ===
libgig (4.2.0~ds1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:05:58 +0100

libgig (4.2.0~ds1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Sep 2019 18:57:17 +0200

libgig (4.2.0~ds1-1) experimental; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * New upstream release.
    - SONAME bump: libgig8 -> libgig9.
  * debian/watch: Use ~ds1 as repack version.
  * debian/copyright:
    - Update Files-Excluded: .git/ not included anymore, debian/ does not need
      to be removed.
    - Update copyright years.
  * debian/control:
    - Bump Standards-Version.
    - Bump debhelper compat to 12.
    - Remove obsolete Breaks+Replaces

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Sep 2019 20:32:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: libgig
 Section: devel
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Paul Brossier <piem@debian.org>,
  Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  g++ (>= 4:5.1.1-20),
  pkg-config,
  libsndfile1-dev,
@@ -16,17 +16,17 @@
  libtool,
  uuid-dev,
  automake,
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Homepage: https://www.linuxsampler.org/libgig/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libgig.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/libgig.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/libgig.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libgig
 
 Package: libgig-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
- libgig8 (= ${binary:Version}),
+ libgig9 (= ${binary:Version}),
  libakai0 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for libgig
@@ -46,7 +46,7 @@
  libgig. You will need this only if you intend to compile programs
  that use this library.
 
-Package: libgig8
+Package: libgig9
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -106,8 +106,6 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, libjs-jquery
-Replaces: libgig-dev (<< 3.3.0-1)
-Breaks: libgig-dev (<< 3.3.0-1)
 Description: HTML documentation for libgig
  libgig is a C++ library for loading, modifying and creating Gigasampler
  files and DLS (Downloadable Sounds) Level 1/2 files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-static=no

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_build-indep:
	$(MAKE) docs
	ln -sf /usr/share/javascript/jquery/jquery.js doc/html/jquery.js

override_dh_auto_clean:
	$(RM) -rf doc/html
	dh_auto_clean

=== debian/watch ===
version=3
opts=dversionmangle=s/~ds.*//,repacksuffix=~ds1 \
https://download.linuxsampler.org/packages/ libgig-(.*)\.tar\.bz2

## libgig 4.3.0~ds1

=== src/testcases/CMakeLists.txt ===

add_executable(gigwritetest main.cpp GigWriteTest.cpp)
target_link_libraries(gigwritetest PRIVATE libgig ${CPPUNIT_LIBRARIES})
target_include_directories(gigwritetest PRIVATE ${CPPUNIT_INCLUDE_DIRS})
add_test(NAME gigwritetest COMMAND gigwritetest)

=== debian/changelog ===
libgig (4.3.0~ds1-2) unstable; urgency=medium

  * Upload to unstable
  * Fix html doc path for dh clean (Closes: #998285)

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 01 Nov 2021 22:47:37 +0100

libgig (4.3.0~ds1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Olivier Humbert ]
  * Update copyright (http -> https + add myself)

  [ Dennis Braun ]
  * New upstream version 4.3.0~ds1
  * d/control: Bump dh-compat to 13
  * d/control: Bump Standards-Version to 4.6.0
  * d/control: Set RRR: no
  * d/control: Add myself as uploader
  * d/copyright: Update d/copyright year
  * d/copyright: Add myself to the d/ section of d/copyright
  * Refresh patchset
  * d/rules: Remove unneeded linker flags
  * Add d/clean and remove override_dh_auto_clean
  * d/rules: Remove .la files after installation
  * d/rules: SONAME bump: libgig9 -> libgig10
  * Bump d/watch version to 4

  [ Janitor ]
  * Mark libgig-doc as MA: foreign

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 30 Aug 2021 23:10:22 +0200

=== debian/control ===
--- 
+++ 
@@ -6,27 +6,28 @@
  Paul Brossier <piem@debian.org>,
  Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper-compat (= 12),
- g++ (>= 4:5.1.1-20),
+ debhelper-compat (= 13),
  pkg-config,
  libsndfile1-dev,
  doxygen,
  libtool,
  uuid-dev,
  automake,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Homepage: https://www.linuxsampler.org/libgig/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libgig.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libgig
+Rules-Requires-Root: no
 
 Package: libgig-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
- libgig9 (= ${binary:Version}),
+ libgig10 (= ${binary:Version}),
  libakai0 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for libgig
@@ -46,7 +47,7 @@
  libgig. You will need this only if you intend to compile programs
  that use this library.
 
-Package: libgig9
+Package: libgig10
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -106,6 +107,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, libjs-jquery
+Multi-Arch: foreign
 Description: HTML documentation for libgig
  libgig is a C++ library for loading, modifying and creating Gigasampler
  files and DLS (Downloadable Sounds) Level 1/2 files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-static=no

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_build-indep:
	$(MAKE) docs
	ln -sf /usr/share/javascript/jquery/jquery.js doc/html/jquery.js

override_dh_auto_install:
	dh_auto_install
	find debian/tmp -type f -name "*.la" -delete

=== debian/watch ===
version=4
opts=dversionmangle=s/~ds.*//,repacksuffix=~ds1 \
https://download.linuxsampler.org/packages/ libgig-(.*)\.tar\.bz2

## libgig 4.4.1

=== debian/changelog ===
libgig (4.4.1-1) unstable; urgency=medium

  * New upstream version 4.4.1
  * Remove obsolete ds tag
  * Change my email address
  * Remove libtool and automake from B-Ds
  * Bump Standards-Version to 4.7.0
  * Bump d/copyright years
  * Refresh patchset
  * Change B-D from pkg-config to pkgconf
  * Apply wrap-and-sort -ast

 -- Dennis Braun <snd@debian.org>  Sun, 21 Jul 2024 09:23:13 +0200

libgig (4.3.0~ds1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062312

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 12:16:13 +0000

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,15 @@
  Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- pkg-config,
+ doxygen,
+ dpkg-dev (>= 1.22.5),
  libsndfile1-dev,
- doxygen,
- libtool,
+ pkgconf,
  uuid-dev,
- automake,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://www.linuxsampler.org/libgig/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libgig.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libgig
@@ -27,9 +26,9 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgig10 (= ${binary:Version}),
- libakai0 (= ${binary:Version}),
- ${misc:Depends}
+ libakai0t64 (= ${binary:Version}),
+ libgig10t64 (= ${binary:Version}),
+ ${misc:Depends},
 Description: development files for libgig
  libgig is a C++ library for loading, modifying and creating Gigasampler
  files and DLS (Downloadable Sounds) Level 1/2 files.
@@ -47,24 +46,38 @@
  libgig. You will need this only if you intend to compile programs
  that use this library.
 
-Package: libgig10
+Package: libgig10t64
+Provides:
+ ${t64:Provides},
+Replaces:
+ libgig10,
+Breaks:
+ libgig10 (<< ${source:Version}),
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: library for loading and modifying Gigasampler and DLS files
  libgig is a C++ library for loading, modifying and creating Gigasampler
  files and DLS (Downloadable Sounds) Level 1/2 files.
  .
  This package contains the shared library files.
 
-Package: libakai0
+Package: libakai0t64
+Provides:
+ ${t64:Provides},
+Replaces:
+ libakai0,
+Breaks:
+ libakai0 (<< ${source:Version}),
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: library for loading and modifying akai files
  libakai is a C++ library for loading, modifying and creating
  akai files.
@@ -74,8 +87,9 @@
 Package: gigtools
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: command line tools for Gigasampler and DLS Level 1/2 files
  Raw file handling for audio sampler files based on DLS Level 1/2 and
  Gigasampler.
@@ -106,7 +120,9 @@
 Package: libgig-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery
+Depends:
+ libjs-jquery,
+ ${misc:Depends},
 Multi-Arch: foreign
 Description: HTML documentation for libgig
  libgig is a C++ library for loading, modifying and creating Gigasampler

## libgig 4.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,13 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.1)
 project(libgig)
 
 if(NOT MSVC)
 	message(FATAL_ERROR "Please use configure and make, this cmake file is currently only to generate msvc solution files")
 endif()
+
+#To force the compiler to use C++ 11
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
 
 
 #configuration options
@@ -20,27 +24,6 @@
 set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
 set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
 set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
-
-#TODO: this is written for vcpkg cppunit install
-#if you're adding other platform and package managers it's probably better to put everything in FindCppUnit.cmake
-#and replace everything here with a simple find_package(CppUnit)
-if(WIN32)
-	find_path(CPPUNIT_INCLUDE_DIRS cppunit/TestFixture.h)
-	find_library(CPPUNIT_LIBRARIES_DEBUG cppunitd_dll)
-	find_library(CPPUNIT_LIBRARIES_RELEASE cppunit_dll)
-	mark_as_advanced(CPPUNIT_INCLUDE_DIRS CPPUNIT_LIBRARIES_DEBUG CPPUNIT_LIBRARIES_RELEASE)
-
-	if(CPPUNIT_LIBRARIES_DEBUG AND CPPUNIT_LIBRARIES_RELEASE AND CPPUNIT_INCLUDE_DIRS)
-		set(CPPUNIT_FOUND TRUE)
-		set(CPPUNIT_LIBRARIES
-		$<$<CONFIG:Debug>:${CPPUNIT_LIBRARIES_DEBUG}>
-		$<$<CONFIG:RelWithDebInfo>:${CPPUNIT_LIBRARIES_RELEASE}>
-		$<$<CONFIG:Release>:${CPPUNIT_LIBRARIES_RELEASE}>
-		$<$<CONFIG:MinSizeRel>:${CPPUNIT_LIBRARIES_RELEASE}>)
-	else()
-		message("cppunit not found. Testcases will not be built.")
-	endif()
-endif(WIN32)
 
 if(LIBGIG_BUILD_TOOLS)
 	find_package(LibSndFile)
@@ -60,6 +43,7 @@
 set(PACKAGE_NAME "libgig")
 
 set(LIBGIG_HEADERS
+	src/sysdef.h
 	src/DLS.h
 	src/gig.h
 	src/RIFF.h
@@ -113,7 +97,7 @@
 	target_link_libraries(libakai Rpcrt4.lib )
 endif()
 
-if(CPPUNIT_FOUND AND LIBGIG_ENABLE_TESTING)
+if(LIBGIG_ENABLE_TESTING)
 	add_subdirectory(src/testcases)
 endif()
 
@@ -128,12 +112,11 @@
 	ARCHIVE DESTINATION lib
 	RUNTIME DESTINATION bin
 	PUBLIC_HEADER DESTINATION include/libgig)
-install(EXPORT libgig-config NAMESPACE libgig:: DESTINATION share/libgig)
 
-install(TARGETS libakai EXPORT libakai-config
+install(TARGETS libakai EXPORT libgig-config
 	LIBRARY DESTINATION lib
 	ARCHIVE DESTINATION lib
 	RUNTIME DESTINATION bin
 	PUBLIC_HEADER DESTINATION include/libgig)
-install(EXPORT libakai-config NAMESPACE libgig:: DESTINATION share/libgig)
+install(EXPORT libgig-config NAMESPACE libgig:: DESTINATION share/libgig)

=== src/testcases/CMakeLists.txt ===

add_executable(gigwritetest GigWriteTest.cpp)
target_link_libraries(gigwritetest PRIVATE libgig)
target_include_directories(gigwritetest PRIVATE)
add_test(NAME gigwritetest COMMAND gigwritetest)

add_executable(helpertests HelperTest.cpp)
target_link_libraries(helpertests PRIVATE libgig)
target_include_directories(helpertests PRIVATE)
add_test(NAME helpertests COMMAND helpertests)

add_executable(rifftests RiffTests.cpp)
target_link_libraries(rifftests PRIVATE libgig)
target_include_directories(rifftests PRIVATE)
add_test(NAME rifftests COMMAND rifftests)

add_executable(serializationtests SerializationTests.cpp)
target_link_libraries(serializationtests PRIVATE libgig)
target_include_directories(serializationtests PRIVATE)
add_test(NAME serializationtests COMMAND serializationtests)

=== src/tools/CMakeLists.txt ===

macro(add_tool NAME)
    add_executable(${NAME} ${NAME}.cpp)
    target_link_libraries(${NAME} PRIVATE libgig)
endmacro(add_tool)

add_executable(akaidump akaidump.cpp)
target_link_libraries(akaidump PRIVATE libakai)

if(NOT LibSndFile_FOUND)
	message(WARNING "sndfile library not found: akaiextract, gigextract and sf2extract will not be built")
endif()
#These tools are not yet ported to msvc
if(NOT MSVC)
	if(LibSndFile_FOUND)
		add_executable(akaiextract akaiextract.cpp)
		target_link_libraries(akaiextract PRIVATE libakai)
	endif()
	add_tool(gig2mono)
	add_tool(gig2stereo)
else()
	message(WARNING "akaiextract, gig2mono and gig2stereo aren't yet ported to msvc")
endif()

if(LibSndFile_FOUND)
	add_tool(gigextract)
	target_link_libraries(gigextract PRIVATE sndfile-shared)
	add_tool(sf2extract)
	target_link_libraries(sf2extract PRIVATE sndfile-shared)
endif()

add_tool(dlsdump)
add_tool(gigdump)
add_tool(gigmerge)
add_tool(korg2gig)
add_tool(korgdump)
add_tool(rifftree)
add_tool(sf2dump)

=== debian/changelog ===
libgig (4.5.0-1) unstable; urgency=medium

  * New upstream version 4.5.0
  * Bump Standards-Version to 4.7.2
  * Refresh patchset

 -- Dennis Braun <snd@debian.org>  Fri, 29 Aug 2025 19:25:54 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libsndfile1-dev,
  pkgconf,
  uuid-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.linuxsampler.org/libgig/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libgig.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libgig

=== debian/watch ===
version=4
https://download.linuxsampler.org/packages/ libgig-(.*)\.tar\.bz2

## libgig 4.5.2

=== debian/changelog ===
libgig (4.5.2-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * debian/control:
    - Remove no longer necessary BD on dpkg-dev
    - Only build on little endian architectures
      Upstream code needs to be ported for big endian architectures.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 23 Dec 2025 10:36:41 +0100

libgig (4.5.2-1) experimental; urgency=medium

  * Team upload

  [ Dennis Braun ]
  * New upstream version 4.5.1
  * Remove redudant rules-requires-root-no field

  [ Sebastian Ramacher ]
  * New upstream version 4.5.2
  * SONAME bump: libgig10 -> libgit13
  * debian/: Remove unused lintian override

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Dec 2025 22:40:40 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  Dennis Braun <snd@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ architecture-is-little-endian,
  doxygen,
- dpkg-dev (>= 1.22.5),
  libsndfile1-dev,
  pkgconf,
  uuid-dev,
@@ -19,7 +19,6 @@
 Homepage: https://www.linuxsampler.org/libgig/
 Vcs-Git: https://salsa.debian.org/multimedia-team/libgig.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libgig
-Rules-Requires-Root: no
 
 Package: libgig-dev
 Section: libdevel
@@ -27,7 +26,7 @@
 Multi-Arch: same
 Depends:
  libakai0t64 (= ${binary:Version}),
- libgig10t64 (= ${binary:Version}),
+ libgig13 (= ${binary:Version}),
  ${misc:Depends},
 Description: development files for libgig
  libgig is a C++ library for loading, modifying and creating Gigasampler
@@ -46,13 +45,7 @@
  libgig. You will need this only if you intend to compile programs
  that use this library.
 
-Package: libgig10t64
-Provides:
- ${t64:Provides},
-Replaces:
- libgig10,
-Breaks:
- libgig10 (<< ${source:Version}),
+Package: libgig13
 Section: libs
 Architecture: any
 Multi-Arch: same
